Include allowed activities list in "project" API response
Status: Closed Start date: 2011-01-31

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

I'm trying to implement createTimeIssue() method in Java.

Redmine REST API expects me to provide activity_id in parameters unless a  default activity is defined.

How can I find out what the allowed activities are? What are their IDs?

I think the response sent to  "get project" request should include activities list.

As I understand, this file should be updated:

app\views\projects\show.api.rsb

Associated revisions

Revision 16365 - 2017-03-03 20:12 - Jean-Philippe Lang

REST API: option to get the project activities for time entries (#7506).

History

#1 - 2011-06-16 07:14 - Bevan Rudge

- Status changed from New to Resolved

This is duplicate of one or some of the following;

#4968

#7180

#7402

#2 - 2011-06-16 07:23 - Bevan Rudge

I meant #7819, not #7402.

#3 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#4 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

#5 - 2014-10-10 10:55 - Matthias Schelling

can't see why this issue was closed. neither has the feature been implemented (still no allowed activities in project response), nor ist this explicitly

mentioned in one of the related tickets?

#6 - 2014-11-08 11:28 - Toshi MARUYAMA

- Status changed from Closed to New

- Assignee deleted (Jean-Philippe Lang)

#7 - 2017-03-03 19:10 - Edward Rudd

This is quite frustrating that this functionality is not available.  As right now we have a customer who our software can not record time to their Redmine

install for one project due to them limiting the activities allowed on that project.

Having this data available in the project feed is essential if you are going to allow limiting things in this manner.
#8 - 2017-03-03 20:14 - Jean-Philippe Lang

- Subject changed from include allowed activities list in "project" response to Include allowed activities list in "project" API response

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

Feature added, you can now get the project activities in the API response using:

GET /projects/[project].(xml|json)?include=time_entry_activities

#9 - 2017-03-06 14:32 - Edward Rudd

Thanks Jean-Philippe!

What will the output of that look like?  And will it include the default property?
